Installing PyQt on Mandrake 8.2

Jim jbublitzNO at SPAMnwinternet.com
Wed Jun 12 00:20:25 CEST 2002


iwk wrote:
> I need to install PyQt on Mandrake 8.2 but I've been running into some 
> trouble. PyQt doesn't seem be included in the PowerPack edition which I 
> bought so I downloaded the RPM from the contributions directory on a 
> mirrorsite but that one failed because it was linked to an older version 
> of SIP. Then I tried to install from source but ./configure failed 
> because it couldn find the Python SIP modules. Apparently these ones 
> aren 't included with Mdk8.2 either.

> Has anyone been more succesfull? What should be the proper steps to get 
> PyQt installed on Mdk 8.2?


Uninstall any rpm sip versions and download the latest sip from
http://riverbankcomputing.co.uk.

Install the new sip version, and then configure, make and
install PyQt. The PyQt version (3.2.4 for example) and sip
version (also 3.2.4) have to match. Also, the location of the
sip libraries was changed in recent versions.


Jim




More information about the Python-list mailing list